Actions

External Libraries in Joomla

From Joomla! Documentation

Revision as of 20:06, 16 November 2013 by Mbabker (Talk | contribs)

A Joomla! installation contain external libraries which are included with Joomla! CMS version releases. These external libraries are not part of the core code. Please read the Notes section as they may contain more information, such as a external library version change released with a maintenance release.

External Libraries by Joomla Release

CMS Version CMS Version Supported Mootools Mootools More jQuery jQuery UI
(Core, Widget, Mouse, Position, and Sortable)
Bootstrap Simple Pie PHP Mailer PHP UTF-8 IDNA Convert Rapid Application Development (RAD) Framework
Akeeba's Framework on Framework(FOF)
password_compat[1]
2.5
Checkmark.png
1.4.5[2] 1.4.0.1 N/A[3] N/A[3] N/A[3] 1.2 5.2.1 0.5 N/A[3] N/A[4] N/A[5]
3.0
X-mark.png
1.4.5 1.4.0.1 1.8.1 1.8.23 2.1.0 1.2 5.2.1 0.5 N/A[6] N/A[4] N/A[5]
3.1
Checkmark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.1.0 1.2[7] 5.2.3 0.5 N/A[6] N/A[4] N/A[5]
3.1.2
Checkmark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.3.2[8] 1.2[7] 5.2.6 0.5 0.8.0 N/A[4] N/A[5]
3.2
Checkmark.png
1.4.5 1.4.0.1 1.10.2[9] 1.9.2 2.3.2[8] 1.2[7] 5.2.6 0.5 0.8.0 2.1 1.0.3

Notes

  1. This library is intended to provide forward compatibility with the password_* functions which were added to PHP 5.5. See [1] for further information.
  2. Contains a 1.2 compatibility layer
  3. 3.0 3.1 3.2 3.3 Not applicable, this library was not included with Joomla! CMS version 2.5.
  4. 4.0 4.1 4.2 4.3 Not applicable, this library was not included with the Joomla! CMS prior to version 3.2. The version of FOF included in Joomla 3.2 is compatible with Joomla 2.5 however.
  5. 5.0 5.1 5.2 5.3 Not applicable, this library was not included with the Joomla! CMS prior to version 3.2
  6. 6.0 6.1 Not applicable, this library was not included with the Joomla! CMS prior to version 3.1.2.
  7. 7.0 7.1 7.2 This library was deprecated for JFeedFactory in Joomla! CMS version 3.1.0
  8. 8.0 8.1 Contains some 2.1 backward compatibility defaults
  9. Includes jQuery Migrate plugin 1.2.1 for backwards compatibility